package com.smthng.quantumbags;

import net.minecraft.world.item.Item;
import net.minecraftforge.eventbus.api.IEventBus;
import net.minecraftforge.registries.DeferredRegister;
import net.minecraftforge.registries.ForgeRegistries;
import net.minecraftforge.registries.RegistryObject;

import static com.smthng.quantumbags.Quantumbags.MODID;

public class items {
    public static final DeferredRegister<Item> ITEMS = DeferredRegister.create(ForgeRegistries.ITEMS, MODID);
    public static final RegistryObject<Item> QUANTUM_BAG_SMALL = ITEMS.register("quantum_bag_small", () -> new QuantumBag(new Item.Properties().stacksTo(1), ServerConfig.C_SIZE_SMALL));
    public static final RegistryObject<Item> QUANTUM_BAG_MEDIUM = ITEMS.register("quantum_bag_medium", () -> new QuantumBag(new Item.Properties().stacksTo(1), ServerConfig.C_SIZE_MEDIUM));
    public static final RegistryObject<Item> QUANTUM_BAG_LARGE = ITEMS.register("quantum_bag_large", () -> new QuantumBag(new Item.Properties().stacksTo(1), ServerConfig.C_SIZE_LARGE));
    public static final RegistryObject<Item> QUANTUM_BAG_HUGE = ITEMS.register("quantum_bag_huge", () -> new QuantumBag(new Item.Properties().stacksTo(1), ServerConfig.C_SIZE_HUGE));


    public static void register(IEventBus bus) {
        ITEMS.register(bus);
    }
}
