package com.smthng.quantumbags;

import net.minecraftforge.common.ForgeConfigSpec;
import net.minecraftforge.fml.common.Mod;

import static com.smthng.quantumbags.Quantumbags.MODID;

@Mod.EventBusSubscriber(modid = MODID, bus = Mod.EventBusSubscriber.Bus.MOD)
public class ServerConfig {
    public static final ForgeConfigSpec.ConfigValue<Integer> C_SIZE_SMALL, C_SIZE_MEDIUM, C_SIZE_LARGE, C_SIZE_HUGE;
    private static final ForgeConfigSpec.Builder BUILDER = new ForgeConfigSpec.Builder();
    public static final ForgeConfigSpec SPEC;

    static {
        C_SIZE_SMALL = BUILDER.define("size_small", 512);
        C_SIZE_MEDIUM = BUILDER.define("size_medium", 4096);
        C_SIZE_LARGE = BUILDER.define("size_large", 32768);
        C_SIZE_HUGE = BUILDER.define("size_huge", 262144);
        SPEC = BUILDER.build();
    }
}
